org.springframework.web.portlet.bind

## Class PortletRequestParameterPropertyValues

- java.lang.Object
- - org.springframework.beans.MutablePropertyValues
  - - org.springframework.web.portlet.bind.PortletRequestParameterPropertyValues

All Implemented Interfaces:
  Serializable, PropertyValues

    public class PortletRequestParameterPropertyValues
    extends MutablePropertyValues

PropertyValues implementation created from parameters in a PortletRequest. Can look for all property values beginning with a certain prefix and prefix separator (default is "_").

For example, with a prefix of "spring", "spring_param1" and "spring_param2" result in a Map with "param1" and "param2" as keys.

This class is not immutable to be able to efficiently remove property values that should be ignored for binding.

Since:
  2.0
Author:
  Juergen Hoeller, John A. Lewis
See Also:
  `PortletUtils.getParametersStartingWith(javax.portlet.PortletRequest, java.lang.String)`, Serialized Form

### Field Summary

Fields
`static String` `DEFAULT_PREFIX_SEPARATOR` Default prefix separator

### Constructor Summary

Constructors
Constructor and Description
`PortletRequestParameterPropertyValues(PortletRequest request)` Create new PortletRequestPropertyValues using no prefix (and hence, no prefix separator).
`PortletRequestParameterPropertyValues(PortletRequest request, String prefix)` Create new PortletRequestPropertyValues using the given prefix and the default prefix separator (the underscore character "_").
`PortletRequestParameterPropertyValues(PortletRequest request, String prefix, String prefixSeparator)` Create new PortletRequestPropertyValues supplying both prefix and prefix separator.

### Method Summary

### Methods inherited from class org.springframework.beans.MutablePropertyValues

`add, addPropertyValue, addPropertyValue, addPropertyValues, addPropertyValues, changesSince, contains, equals, getPropertyValue, getPropertyValueList, getPropertyValues, hashCode, isConverted, isEmpty, registerProcessedProperty, removePropertyValue, removePropertyValue, setConverted, setPropertyValueAt, size, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### DEFAULT_PREFIX_SEPARATOR

    public static final String DEFAULT_PREFIX_SEPARATOR

Default prefix separator

See Also:
  Constant Field Values

### Constructor Detail

#### PortletRequestParameterPropertyValues

    public PortletRequestParameterPropertyValues(PortletRequest request)

Create new PortletRequestPropertyValues using no prefix (and hence, no prefix separator).

Parameters:
  `request` - portlet request

#### PortletRequestParameterPropertyValues

    public PortletRequestParameterPropertyValues(PortletRequest request,
                                         String prefix)

Create new PortletRequestPropertyValues using the given prefix and the default prefix separator (the underscore character "_").

Parameters:
  `request` - portlet request
  `prefix` - the prefix for parameters (the full prefix will consist of this plus the separator)
See Also:
  `DEFAULT_PREFIX_SEPARATOR`

#### PortletRequestParameterPropertyValues

    public PortletRequestParameterPropertyValues(PortletRequest request,
                                         String prefix,
                                         String prefixSeparator)

Create new PortletRequestPropertyValues supplying both prefix and prefix separator.

Parameters:
  `request` - portlet request
  `prefix` - the prefix for parameters (the full prefix will consist of this plus the separator)
  `prefixSeparator` - separator delimiting prefix (e.g. "spring") and the rest of the parameter name ("param1", "param2")